comms/libhidapi - The NetBSD Packages Collection

Library for comunicating with bluetooth and usb hid devices

HIDAPI is a multi-platform library which allows an application to interface
with USB and Bluetooth HID-Class devices on Windows, Linux, and Mac OS X.
On Windows, a DLL is built.  On other platforms (and optionally on Windows),
the single source file can simply be dropped into a target application.

HIDAPI has four back-ends:
	* Windows (using hid.dll)
	* Linux/hidraw (using the Kernel's hidraw driver)
	* Linux/libusb (using libusb-1.0)
	* Mac (using IOHidManager)

This package includes only the libusb backend.

Build dependencies

pkgtools/cwrappers devel/libtool-base devel/automake devel/autoconf devel/gmake devel/pkgconf

Runtime dependencies

devel/libusb1

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibhidapi-0.9.0.tgz
NetBSD 8.0earmv7hflibhidapi-0.9.0.tgz
NetBSD 8.0earmv7hflibhidapi-0.9.0.tgz
NetBSD 8.0i386libhidapi-0.9.0.tgz
NetBSD 8.0i386libhidapi-0.9.0.tgz
NetBSD 8.0powerpclibhidapi-0.9.0.tgz
NetBSD 8.0powerpclibhidapi-0.9.0.tgz
NetBSD 8.0powerpclibhidapi-0.9.0.tgz
NetBSD 8.0powerpclibhidapi-0.9.0.tgz
NetBSD 8.0x86_64libhidapi-0.9.0.tgz
NetBSD 8.0x86_64libhidapi-0.9.0.tgz
NetBSD 9.0aarch64libhidapi-0.9.0.tgz
NetBSD 9.0aarch64libhidapi-0.9.0.tgz
NetBSD 9.0aarch64libhidapi-0.9.0.tgz
NetBSD 9.0alphalibhidapi-0.9.0.tgz
NetBSD 9.0alphalibhidapi-0.9.0.tgz
NetBSD 9.0alphalibhidapi-0.9.0.tgz
NetBSD 9.0earmlibhidapi-0.9.0.tgz
NetBSD 9.0earmlibhidapi-0.9.0.tgz
NetBSD 9.0earmlibhidapi-0.9.0.tgz
NetBSD 9.0earmv6hflibhidapi-0.9.0.tgz
NetBSD 9.0earmv6hflibhidapi-0.9.0.tgz
NetBSD 9.0earmv6hflibhidapi-0.9.0.tgz
NetBSD 9.0earmv7hflibhidapi-0.9.0.tgz
NetBSD 9.0earmv7hflibhidapi-0.9.0.tgz
NetBSD 9.0earmv7hflibhidapi-0.9.0.tgz
NetBSD 9.0earmv7hflibhidapi-0.9.0.tgz
NetBSD 9.0i386libhidapi-0.9.0.tgz
NetBSD 9.0i386libhidapi-0.9.0.tgz
NetBSD 9.0i386libhidapi-0.9.0.tgz
NetBSD 9.0mips64eblibhidapi-0.9.0.tgz
NetBSD 9.0mips64eblibhidapi-0.9.0.tgz
NetBSD 9.0mips64eblibhidapi-0.9.0.tgz
NetBSD 9.0mips64eblibhidapi-0.9.0.tgz
NetBSD 9.0mips64eblibhidapi-0.9.0.tgz
NetBSD 9.0mipsellibhidapi-0.9.0.tgz
NetBSD 9.0mipsellibhidapi-0.9.0.tgz
NetBSD 9.0mipsellibhidapi-0.9.0.tgz
NetBSD 9.0mipsellibhidapi-0.9.0.tgz
NetBSD 9.0powerpclibhidapi-0.9.0.tgz
NetBSD 9.0powerpclibhidapi-0.9.0.tgz
NetBSD 9.0powerpclibhidapi-0.9.0.tgz
NetBSD 9.0powerpclibhidapi-0.9.0.tgz
NetBSD 9.0sh3ellibhidapi-0.9.0.tgz
NetBSD 9.0sh3ellibhidapi-0.9.0.tgz
NetBSD 9.0sh3ellibhidapi-0.9.0.tgz
NetBSD 9.0sparc64libhidapi-0.9.0.tgz
NetBSD 9.0sparc64libhidapi-0.9.0.tgz
NetBSD 9.0sparc64libhidapi-0.9.0.tgz
NetBSD 9.0sparclibhidapi-0.9.0.tgz
NetBSD 9.0sparclibhidapi-0.9.0.tgz
NetBSD 9.0sparclibhidapi-0.9.0.tgz
NetBSD 9.0sparclibhidapi-0.9.0.tgz
NetBSD 9.0sparclibhidapi-0.9.0.tgz
NetBSD 9.0vaxlibhidapi-0.9.0.tgz
NetBSD 9.0vaxlibhidapi-0.9.0.tgz
NetBSD 9.0vaxlibhidapi-0.9.0.tgz
NetBSD 9.0vaxlibhidapi-0.9.0.tgz
NetBSD 9.0x86_64libhidapi-0.9.0.tgz
NetBSD 9.0x86_64libhidapi-0.9.0.tgz
NetBSD 9.0x86_64libhidapi-0.9.0.tgz
NetBSD 9.0x86_64libhidapi-0.9.0.tgz
NetBSD 9.0x86_64libhidapi-0.9.0.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.